Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/keyfinder-cli: new aport

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Thu, 23 Mar 2017 23:43:02 +0100

---
 testing/keyfinder-cli/APKBUILD | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/keyfinder-cli/APKBUILD
diff --git a/testing/keyfinder-cli/APKBUILD b/testing/keyfinder-cli/APKBUILD
new file mode 100644
index 0000000000..3ef2125bb3
--- /dev/null
+++ b/testing/keyfinder-cli/APKBUILD
_at_@ -0,0 +1,29 @@
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=keyfinder-cli
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Musical key detection for digital audio (command line)"
+url="https://github.com/EvanPurkhiser/keyfinder-cli"
+arch="all"
+license="GPL"
+makedepends="libkeyfinder-dev ffmpeg-dev"
+subpackages="$pkgname-doc"
+source="keyfinder-cli-$pkgver.tar.gz::https://github.com/EvanPurkhiser/keyfinder-cli/archive/v$pkgver.tar.gz"
+builddir="$srcdir/keyfinder-cli-$pkgver"
+
+options="!check"
+
+build() {
+	cd "$builddir"
+	make
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX="/usr" DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2dd924d260c33acf54e82208f0385439  keyfinder-cli-1.0.0.tar.gz"
+sha256sums="2279e25131419339029f4e532c606721cda020b4c9a9651cf3cc5ec8822e561f  keyfinder-cli-1.0.0.tar.gz"
+sha512sums="89fe8448c9a8079cb31c9d50c96989a60c1fc342c77d433d5c4eb175e8eb6c54565ea24ad06fb88d5664327ea8517449e3f769d40ba00b523fa41beacf04cc38  keyfinder-cli-1.0.0.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 23 2017 - 23:43:02 GMT